/dropbox-sign-signatures | Type: Application | PCID required: Yes
Tools
dropbox_sign_signatures_bulk_send_job_get
Get Bulk Send Job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
bulk_send_job_id | string | Yes | — | The id of the BulkSendJob to retrieve. |
page | integer | No | — | Which page number of the BulkSendJob list to return. Defaults to 1. |
page_size | integer | No | — | Number of objects to be returned per page. Must be between 1 and 100. Default is 20. |
dropbox_sign_signatures_bulk_send_job_list
List Bulk Send Jobs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Which page number of the BulkSendJob List to return. Defaults to 1. |
page_size | integer | No | — | Number of objects to be returned per page. Must be between 1 and 100. Default is 20. |
dropbox_sign_signatures_embedded_edit_url
Get Embedded Template Edit URL Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The id of the template to edit. |
allow_edit_ccs | boolean | No | — | This allows the requester to enable/disable to add or change CC roles when editing the template. |
cc_roles | string[] | No | — | The CC roles that must be assigned when using the template to send a signature request. To remove all CC roles, pass in a single role with no name. For use in a POST request. |
editor_options | object | No | — | This allows the requester to specify editor options when a preparing a document |
force_signer_roles | boolean | No | — | Provide users the ability to review/edit the template signer roles. |
force_subject_message | boolean | No | — | Provide users the ability to review/edit the template subject and message. |
merge_fields | object[] | No | — | Add additional merge fields to the template, which can be used used to pre-fill data by passing values into signature requests made with that template. Remove all merge fields on the template by passing an empty array []. |
preview_only | boolean | No | — | This allows the requester to enable the preview experience (i.e. does not allow the requester’s end user to add any additional fields via the editor). NOTE: This parameter overwrites show_preview=true (if set). |
show_preview | boolean | No | — | This allows the requester to enable the editor/preview experience. |
show_progress_stepper | boolean | No | — | When only one step remains in the signature request process and this parameter is set to false then the progress stepper will be hidden. |
test_mode | boolean | No | — | Whether this is a test, locked templates will only be available for editing if this is set to true. Defaults to false. |
dropbox_sign_signatures_embedded_sign_url
Get Embedded Sign URL Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_id | string | Yes | — | The id of the signature to get a signature url for. |
dropbox_sign_signatures_signature_request_bulk_create_embedded_with_template
Embedded Bulk Send with Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
ccs | object[] | No | — | Add CC email recipients. Required when a CC role exists for the Template. |
client_id | string | Yes | — | Client id of the app you’re using to create this embedded signature request. Used for security purposes. |
custom_fields | object[] | No | — | When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests. Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call. For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
signer_file | string | No | — | signer_file is a CSV file defining values and options for signer fields. Required unless a signer_list is used, you may not use both. The CSV can have the following columns: - name: the name of the signer filling the role of RoleName - email_address: email address of the signer filling the role of RoleName - pin: the 4- to 12-character access code that will secure this signer’s signature page (optional) - sms_phone_number: An E.164 formatted phone number that will receive a code via SMS to access this signer’s signature page. (optional) By using the feature, you agree you are responsible for obtaining a signer’s consent to receive text messages from Dropbox Sign related to this signature request and confirm you have obtained such consent from all signers prior to enabling SMS delivery for this signature request. Learn more. NOTE: Not available in test mode and requires a Standard plan or higher. - *_field: any column with a _field” suffix will be treated as a custom field (optional) You may only specify field values here, any other options should be set in the custom_fields request parameter. Example CSV: name, email_address, pin, company_field George, george@example.com, d79a3td, ABC Corp Mary, mary@example.com, gd9as5b, 123 LLC |
signer_list | object[] | No | — | signer_list is an array defining values and options for signer fields. Required unless a signer_file is used, you may not use both. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
template_ids | string[] | Yes | — | Use template_ids to create a SignatureRequest from one or more templates, in the order in which the template will be used. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
dropbox_sign_signatures_signature_request_bulk_send_with_template
Bulk Send with Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
ccs | object[] | No | — | Add CC email recipients. Required when a CC role exists for the Template. |
client_id | string | No | — | The client id of the API App you want to associate with this request. Used to apply the branding and callback url defined for the app. |
custom_fields | object[] | No | — | When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests. Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call. For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
signer_file | string | No | — | signer_file is a CSV file defining values and options for signer fields. Required unless a signer_list is used, you may not use both. The CSV can have the following columns: - name: the name of the signer filling the role of RoleName - email_address: email address of the signer filling the role of RoleName - pin: the 4- to 12-character access code that will secure this signer’s signature page (optional) - sms_phone_number: An E.164 formatted phone number that will receive a code via SMS to access this signer’s signature page. (optional) By using the feature, you agree you are responsible for obtaining a signer’s consent to receive text messages from Dropbox Sign related to this signature request and confirm you have obtained such consent from all signers prior to enabling SMS delivery for this signature request. Learn more. NOTE: Not available in test mode and requires a Standard plan or higher. - *_field: any column with a _field” suffix will be treated as a custom field (optional) You may only specify field values here, any other options should be set in the custom_fields request parameter. Example CSV: name, email_address, pin, company_field George, george@example.com, d79a3td, ABC Corp Mary, mary@example.com, gd9as5b, 123 LLC |
signer_list | object[] | No | — | signer_list is an array defining values and options for signer fields. Required unless a signer_file is used, you may not use both. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
template_ids | string[] | Yes | — | Use template_ids to create a SignatureRequest from one or more templates, in the order in which the template will be used. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
dropbox_sign_signatures_signature_request_cancel
Cancel Incomplete Signature Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the incomplete SignatureRequest to cancel. |
dropbox_sign_signatures_signature_request_create_embedded
Create Embedded Signature Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
allow_reassign | boolean | No | — | Allows signers to reassign their signature requests to other signers if set to true. Defaults to false. NOTE: Only available for Premium plan. |
attachments | object[] | No | — | A list describing the attachments |
cc_email_addresses | string[] | No | — | The email addresses that should be CCed. |
client_id | string | Yes | — | Client id of the app you’re using to create this embedded signature request. Used for security purposes. |
custom_fields | object[] | No | — | When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests. Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call. For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template. |
expires_at | integer | No | — | When the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable. See Signature Request Expiration Date for details. |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
form_field_groups | object[] | No | — | Group information for fields defined in form_fields_per_document. String-indexed JSON array with group_label and requirement keys. form_fields_per_document must contain fields referencing a group defined in form_field_groups. |
form_field_rules | object[] | No | — | Conditional Logic rules for fields defined in form_fields_per_document. |
form_fields_per_document | object[] | No | — | The fields that should appear on the document, expressed as an array of objects. (For more details you can read about it here: Using Form Fields per Document.) NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional required and optional parameters. Check out the list of additional parameters for these field types. * Text Field use SubFormFieldsPerDocumentText * Dropdown Field use SubFormFieldsPerDocumentDropdown * Hyperlink Field use SubFormFieldsPerDocumentHyperlink * Checkbox Field use SubFormFieldsPerDocumentCheckbox * Radio Field use SubFormFieldsPerDocumentRadio * Signature Field use SubFormFieldsPerDocumentSignature * Date Signed Field use SubFormFieldsPerDocumentDateSigned * Initials Field use SubFormFieldsPerDocumentInitials * Text Merge Field use SubFormFieldsPerDocumentTextMerge * Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge |
grouped_signers | object[] | No | — | Add Grouped Signers to your Signature Request. This endpoint requires either signers or grouped_signers, but not both. |
hide_text_tags | boolean | No | — | Enables automatic Text Tag removal when set to true. NOTE: Removing text tags this way can cause unwanted clipping. We recommend leaving this setting on false and instead hiding your text tags using white text or a similar approach. See the Text Tags Walkthrough for more information. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
populate_auto_fill_fields | boolean | No | — | Controls whether auto fill fields can automatically populate a signer’s information during signing. NOTE: Keep your signer’s information safe by ensuring that the signer on your signature request is the intended party before using this feature. |
signers | object[] | No | — | Add Signers to your Signature Request. This endpoint requires either signers or grouped_signers, but not both. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
use_text_tags | boolean | No | — | Send with a value of true if you wish to enable Text Tags parsing in your document. Defaults to disabled, or false. |
dropbox_sign_signatures_signature_request_create_embedded_with_template
Create Embedded Signature Request with Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
ccs | object[] | No | — | Add CC email recipients. Required when a CC role exists for the Template. |
client_id | string | Yes | — | Client id of the app you’re using to create this embedded signature request. Used for security purposes. |
custom_fields | object[] | No | — | An array defining values and options for custom fields. Required when a custom field exists in the Template. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
populate_auto_fill_fields | boolean | No | — | Controls whether auto fill fields can automatically populate a signer’s information during signing. NOTE: Keep your signer’s information safe by ensuring that the signer on your signature request is the intended party before using this feature. |
signers | object[] | Yes | — | Add Signers to your Templated-based Signature Request. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
template_ids | string[] | Yes | — | Use template_ids to create a SignatureRequest from one or more templates, in the order in which the template will be used. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
dropbox_sign_signatures_signature_request_edit
Edit Signature Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to edit. |
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
allow_reassign | boolean | No | — | Allows signers to reassign their signature requests to other signers if set to true. Defaults to false. NOTE: Only available for Premium plan and higher. |
attachments | object[] | No | — | A list describing the attachments |
cc_email_addresses | string[] | No | — | The email addresses that should be CCed. |
client_id | string | No | — | The client id of the API App you want to associate with this request. Used to apply the branding and callback url defined for the app. |
custom_fields | object[] | No | — | When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests. Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call. For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template. |
expires_at | integer | No | — | When the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable. See Signature Request Expiration Date for details. |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
form_field_groups | object[] | No | — | Group information for fields defined in form_fields_per_document. String-indexed JSON array with group_label and requirement keys. form_fields_per_document must contain fields referencing a group defined in form_field_groups. |
form_field_rules | object[] | No | — | Conditional Logic rules for fields defined in form_fields_per_document. |
form_fields_per_document | object[] | No | — | The fields that should appear on the document, expressed as an array of objects. (For more details you can read about it here: Using Form Fields per Document.) NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional required and optional parameters. Check out the list of additional parameters for these field types. * Text Field use SubFormFieldsPerDocumentText * Dropdown Field use SubFormFieldsPerDocumentDropdown * Hyperlink Field use SubFormFieldsPerDocumentHyperlink * Checkbox Field use SubFormFieldsPerDocumentCheckbox * Radio Field use SubFormFieldsPerDocumentRadio * Signature Field use SubFormFieldsPerDocumentSignature * Date Signed Field use SubFormFieldsPerDocumentDateSigned * Initials Field use SubFormFieldsPerDocumentInitials * Text Merge Field use SubFormFieldsPerDocumentTextMerge * Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge |
grouped_signers | object[] | No | — | Add Grouped Signers to your Signature Request. This endpoint requires either signers or grouped_signers, but not both. |
hide_text_tags | boolean | No | — | Enables automatic Text Tag removal when set to true. NOTE: Removing text tags this way can cause unwanted clipping. We recommend leaving this setting on false and instead hiding your text tags using white text or a similar approach. See the Text Tags Walkthrough for more information. |
is_eid | boolean | No | — | Send with a value of true if you wish to enable electronic identification (eID), which requires the signer to verify their identity with an eID provider to sign a document.<br> NOTE: You need the eID add-on to use this feature. Please contact sales for more information. Cannot be used in test_mode. Only works on requests with one signer. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
signers | object[] | No | — | Add Signers to your Signature Request. This endpoint requires either signers or grouped_signers, but not both. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
use_text_tags | boolean | No | — | Send with a value of true if you wish to enable Text Tags parsing in your document. Defaults to disabled, or false. |
dropbox_sign_signatures_signature_request_edit_embedded
Edit Embedded Signature Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to edit. |
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
allow_reassign | boolean | No | — | Allows signers to reassign their signature requests to other signers if set to true. Defaults to false. NOTE: Only available for Premium plan. |
attachments | object[] | No | — | A list describing the attachments |
cc_email_addresses | string[] | No | — | The email addresses that should be CCed. |
client_id | string | Yes | — | Client id of the app you’re using to create this embedded signature request. Used for security purposes. |
custom_fields | object[] | No | — | When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests. Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call. For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template. |
expires_at | integer | No | — | When the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable. See Signature Request Expiration Date for details. |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
form_field_groups | object[] | No | — | Group information for fields defined in form_fields_per_document. String-indexed JSON array with group_label and requirement keys. form_fields_per_document must contain fields referencing a group defined in form_field_groups. |
form_field_rules | object[] | No | — | Conditional Logic rules for fields defined in form_fields_per_document. |
form_fields_per_document | object[] | No | — | The fields that should appear on the document, expressed as an array of objects. (For more details you can read about it here: Using Form Fields per Document.) NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional required and optional parameters. Check out the list of additional parameters for these field types. * Text Field use SubFormFieldsPerDocumentText * Dropdown Field use SubFormFieldsPerDocumentDropdown * Hyperlink Field use SubFormFieldsPerDocumentHyperlink * Checkbox Field use SubFormFieldsPerDocumentCheckbox * Radio Field use SubFormFieldsPerDocumentRadio * Signature Field use SubFormFieldsPerDocumentSignature * Date Signed Field use SubFormFieldsPerDocumentDateSigned * Initials Field use SubFormFieldsPerDocumentInitials * Text Merge Field use SubFormFieldsPerDocumentTextMerge * Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge |
grouped_signers | object[] | No | — | Add Grouped Signers to your Signature Request. This endpoint requires either signers or grouped_signers, but not both. |
hide_text_tags | boolean | No | — | Enables automatic Text Tag removal when set to true. NOTE: Removing text tags this way can cause unwanted clipping. We recommend leaving this setting on false and instead hiding your text tags using white text or a similar approach. See the Text Tags Walkthrough for more information. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
populate_auto_fill_fields | boolean | No | — | Controls whether auto fill fields can automatically populate a signer’s information during signing. NOTE: Keep your signer’s information safe by ensuring that the signer on your signature request is the intended party before using this feature. |
signers | object[] | No | — | Add Signers to your Signature Request. This endpoint requires either signers or grouped_signers, but not both. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
use_text_tags | boolean | No | — | Send with a value of true if you wish to enable Text Tags parsing in your document. Defaults to disabled, or false. |
dropbox_sign_signatures_signature_request_edit_embedded_with_template
Edit Embedded Signature Request with Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to edit. |
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
ccs | object[] | No | — | Add CC email recipients. Required when a CC role exists for the Template. |
client_id | string | Yes | — | Client id of the app you’re using to create this embedded signature request. Used for security purposes. |
custom_fields | object[] | No | — | An array defining values and options for custom fields. Required when a custom field exists in the Template. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
populate_auto_fill_fields | boolean | No | — | Controls whether auto fill fields can automatically populate a signer’s information during signing. NOTE: Keep your signer’s information safe by ensuring that the signer on your signature request is the intended party before using this feature. |
signers | object[] | Yes | — | Add Signers to your Templated-based Signature Request. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
template_ids | string[] | Yes | — | Use template_ids to create a SignatureRequest from one or more templates, in the order in which the template will be used. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
dropbox_sign_signatures_signature_request_edit_with_template
Edit Signature Request With Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to edit. |
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
ccs | object[] | No | — | Add CC email recipients. Required when a CC role exists for the Template. |
client_id | string | No | — | Client id of the app to associate with the signature request. Used to apply the branding and callback url defined for the app. |
custom_fields | object[] | No | — | An array defining values and options for custom fields. Required when a custom field exists in the Template. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
is_eid | boolean | No | — | Send with a value of true if you wish to enable electronic identification (eID), which requires the signer to verify their identity with an eID provider to sign a document.<br> NOTE: You need the eID add-on to use this feature. Please contact sales for more information. Cannot be used in test_mode. Only works on requests with one signer. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
signers | object[] | Yes | — | Add Signers to your Templated-based Signature Request. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
template_ids | string[] | Yes | — | Use template_ids to create a SignatureRequest from one or more templates, in the order in which the template will be used. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
dropbox_sign_signatures_signature_request_files
Download Files Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to retrieve. |
file_type | string | No | — | Set to pdf for a single merged document or zip for a collection of individual documents. |
dropbox_sign_signatures_signature_request_files_as_data_uri
Download Files as Data Uri Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to retrieve. |
dropbox_sign_signatures_signature_request_files_as_file_url
Download Files as File Url Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to retrieve. |
force_download | integer | No | — | By default when opening the file_url a browser will download the PDF and save it locally. When set to 0 the PDF file will be displayed in the browser. |
dropbox_sign_signatures_signature_request_get
Get Signature Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to retrieve. |
dropbox_sign_signatures_signature_request_list
List Signature Requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | No | — | Which account to return SignatureRequests for. Must be a team member. Use all to indicate all team members. Defaults to your account. |
page | integer | No | — | Which page number of the SignatureRequest List to return. Defaults to 1. |
page_size | integer | No | — | Number of objects to be returned per page. Must be between 1 and 100. Default is 20. |
query | string | No | — | String that includes search terms and/or fields to be used to filter the SignatureRequest objects. |
dropbox_sign_signatures_signature_request_release_hold
Release On-Hold Signature Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to release. |
dropbox_sign_signatures_signature_request_remind
Send Request Reminder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to send a reminder for. |
email_address | string | Yes | — | The email address of the signer to send a reminder to. |
name | string | No | — | The name of the signer to send a reminder to. Include if two or more signers share an email address. |
dropbox_sign_signatures_signature_request_remove
Remove Signature Request Access Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to remove. |
dropbox_sign_signatures_signature_request_send
Send Signature Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
allow_reassign | boolean | No | — | Allows signers to reassign their signature requests to other signers if set to true. Defaults to false. NOTE: Only available for Premium plan and higher. |
attachments | object[] | No | — | A list describing the attachments |
cc_email_addresses | string[] | No | — | The email addresses that should be CCed. |
client_id | string | No | — | The client id of the API App you want to associate with this request. Used to apply the branding and callback url defined for the app. |
custom_fields | object[] | No | — | When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests. Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call. For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template. |
expires_at | integer | No | — | When the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable. See Signature Request Expiration Date for details. |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
form_field_groups | object[] | No | — | Group information for fields defined in form_fields_per_document. String-indexed JSON array with group_label and requirement keys. form_fields_per_document must contain fields referencing a group defined in form_field_groups. |
form_field_rules | object[] | No | — | Conditional Logic rules for fields defined in form_fields_per_document. |
form_fields_per_document | object[] | No | — | The fields that should appear on the document, expressed as an array of objects. (For more details you can read about it here: Using Form Fields per Document.) NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional required and optional parameters. Check out the list of additional parameters for these field types. * Text Field use SubFormFieldsPerDocumentText * Dropdown Field use SubFormFieldsPerDocumentDropdown * Hyperlink Field use SubFormFieldsPerDocumentHyperlink * Checkbox Field use SubFormFieldsPerDocumentCheckbox * Radio Field use SubFormFieldsPerDocumentRadio * Signature Field use SubFormFieldsPerDocumentSignature * Date Signed Field use SubFormFieldsPerDocumentDateSigned * Initials Field use SubFormFieldsPerDocumentInitials * Text Merge Field use SubFormFieldsPerDocumentTextMerge * Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge |
grouped_signers | object[] | No | — | Add Grouped Signers to your Signature Request. This endpoint requires either signers or grouped_signers, but not both. |
hide_text_tags | boolean | No | — | Enables automatic Text Tag removal when set to true. NOTE: Removing text tags this way can cause unwanted clipping. We recommend leaving this setting on false and instead hiding your text tags using white text or a similar approach. See the Text Tags Walkthrough for more information. |
is_eid | boolean | No | — | Send with a value of true if you wish to enable electronic identification (eID), which requires the signer to verify their identity with an eID provider to sign a document.<br> NOTE: You need the eID add-on to use this feature. Please contact sales for more information. Cannot be used in test_mode. Only works on requests with one signer. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
signers | object[] | No | — | Add Signers to your Signature Request. This endpoint requires either signers or grouped_signers, but not both. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
use_text_tags | boolean | No | — | Send with a value of true if you wish to enable Text Tags parsing in your document. Defaults to disabled, or false. |
dropbox_sign_signatures_signature_request_send_with_template
Send with Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
ccs | object[] | No | — | Add CC email recipients. Required when a CC role exists for the Template. |
client_id | string | No | — | Client id of the app to associate with the signature request. Used to apply the branding and callback url defined for the app. |
custom_fields | object[] | No | — | An array defining values and options for custom fields. Required when a custom field exists in the Template. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
is_eid | boolean | No | — | Send with a value of true if you wish to enable electronic identification (eID), which requires the signer to verify their identity with an eID provider to sign a document.<br> NOTE: You need the eID add-on to use this feature. Please contact sales for more information. Cannot be used in test_mode. Only works on requests with one signer. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
signers | object[] | Yes | — | Add Signers to your Templated-based Signature Request. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
template_ids | string[] | Yes | — | Use template_ids to create a SignatureRequest from one or more templates, in the order in which the template will be used. |
test_mode | boolean | No | — | Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
dropbox_sign_signatures_signature_request_update
Update Signature Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The id of the SignatureRequest to update. |
email_address | string | No | — | The new email address for the recipient. This will generate a new signature_id value. NOTE: Optional if name is provided. |
expires_at | integer | No | — | The new time when the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable. See Signature Request Expiration Date for details. |
name | string | No | — | The new name for the recipient. NOTE: Optional if email_address is provided. |
signature_id | string | Yes | — | The signature ID for the recipient. |
dropbox_sign_signatures_template_add_user
Add User to Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The id of the Template to give the Account access to. |
account_id | string | No | — | The id of the Account to give access to the Template. NOTE: The account id prevails if email address is also provided. |
email_address | string | No | — | The email address of the Account to give access to the Template. NOTE: The account id prevails if it is also provided. |
skip_notification | boolean | No | — | If set to true, the user does not receive an email notification when a template has been shared with them. Defaults to false. |
dropbox_sign_signatures_template_create
Create Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_reassign | boolean | No | — | Allows signers to reassign their signature requests to other signers if set to true. Defaults to false. NOTE: Only available for Premium plan and higher. |
attachments | object[] | No | — | A list describing the attachments |
cc_roles | string[] | No | — | The CC roles that must be assigned when using the template to send a signature request |
client_id | string | No | — | Client id of the app you’re using to create this draft. Used to apply the branding and callback url defined for the app. |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
form_field_groups | object[] | No | — | Group information for fields defined in form_fields_per_document. String-indexed JSON array with group_label and requirement keys. form_fields_per_document must contain fields referencing a group defined in form_field_groups. |
form_field_rules | object[] | No | — | Conditional Logic rules for fields defined in form_fields_per_document. |
form_fields_per_document | object[] | Yes | — | The fields that should appear on the document, expressed as an array of objects. (For more details you can read about it here: Using Form Fields per Document.) NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional required and optional parameters. Check out the list of additional parameters for these field types. * Text Field use SubFormFieldsPerDocumentText * Dropdown Field use SubFormFieldsPerDocumentDropdown * Hyperlink Field use SubFormFieldsPerDocumentHyperlink * Checkbox Field use SubFormFieldsPerDocumentCheckbox * Radio Field use SubFormFieldsPerDocumentRadio * Signature Field use SubFormFieldsPerDocumentSignature * Date Signed Field use SubFormFieldsPerDocumentDateSigned * Initials Field use SubFormFieldsPerDocumentInitials * Text Merge Field use SubFormFieldsPerDocumentTextMerge * Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge |
merge_fields | object[] | No | — | Add merge fields to the template. Merge fields are placed by the user creating the template and used to pre-fill data by passing values into signature requests with the custom_fields parameter. If the signature request using that template does not pass a value into a merge field, then an empty field remains in the document. |
message | string | No | — | The default template email message. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
signer_roles | object[] | Yes | — | An array of the designated signer roles that must be specified when sending a SignatureRequest using this Template. |
subject | string | No | — | The template title (alias). |
test_mode | boolean | No | — | Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
use_preexisting_fields | boolean | No | — | Enable the detection of predefined PDF fields by setting the use_preexisting_fields to true (defaults to disabled, or false). |
dropbox_sign_signatures_template_create_embedded_draft
Create Embedded Template Draft Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_ccs | boolean | No | — | This allows the requester to specify whether the user is allowed to provide email addresses to CC when creating a template. |
allow_reassign | boolean | No | — | Allows signers to reassign their signature requests to other signers if set to true. Defaults to false. NOTE: Only available for Premium plan and higher. |
attachments | object[] | No | — | A list describing the attachments |
cc_roles | string[] | No | — | The CC roles that must be assigned when using the template to send a signature request |
client_id | string | Yes | — | Client id of the app you’re using to create this draft. Used to apply the branding and callback url defined for the app. |
editor_options | object | No | — | This allows the requester to specify editor options when a preparing a document |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
force_signer_roles | boolean | No | — | Provide users the ability to review/edit the template signer roles. |
force_subject_message | boolean | No | — | Provide users the ability to review/edit the template subject and message. |
form_field_groups | object[] | No | — | Group information for fields defined in form_fields_per_document. String-indexed JSON array with group_label and requirement keys. form_fields_per_document must contain fields referencing a group defined in form_field_groups. |
form_field_rules | object[] | No | — | Conditional Logic rules for fields defined in form_fields_per_document. |
form_fields_per_document | object[] | No | — | The fields that should appear on the document, expressed as an array of objects. (For more details you can read about it here: Using Form Fields per Document.) NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional required and optional parameters. Check out the list of additional parameters for these field types. * Text Field use SubFormFieldsPerDocumentText * Dropdown Field use SubFormFieldsPerDocumentDropdown * Hyperlink Field use SubFormFieldsPerDocumentHyperlink * Checkbox Field use SubFormFieldsPerDocumentCheckbox * Radio Field use SubFormFieldsPerDocumentRadio * Signature Field use SubFormFieldsPerDocumentSignature * Date Signed Field use SubFormFieldsPerDocumentDateSigned * Initials Field use SubFormFieldsPerDocumentInitials * Text Merge Field use SubFormFieldsPerDocumentTextMerge * Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge |
merge_fields | object[] | No | — | Add merge fields to the template. Merge fields are placed by the user creating the template and used to pre-fill data by passing values into signature requests with the custom_fields parameter. If the signature request using that template does not pass a value into a merge field, then an empty field remains in the document. |
message | string | No | — | The default template email message. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
show_preview | boolean | No | — | This allows the requester to enable the editor/preview experience. - show_preview=true: Allows requesters to enable the editor/preview experience. - show_preview=false: Allows requesters to disable the editor/preview experience. |
show_progress_stepper | boolean | No | — | When only one step remains in the signature request process and this parameter is set to false then the progress stepper will be hidden. |
signer_roles | object[] | No | — | An array of the designated signer roles that must be specified when sending a SignatureRequest using this Template. |
skip_me_now | boolean | No | — | Disables the “Me (Now)” option for the person preparing the document. Does not work with type send_document. Defaults to false. |
subject | string | No | — | The template title (alias). |
test_mode | boolean | No | — | Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
use_preexisting_fields | boolean | No | — | Enable the detection of predefined PDF fields by setting the use_preexisting_fields to true (defaults to disabled, or false). |
dropbox_sign_signatures_template_delete
Delete Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The id of the Template to delete. |
dropbox_sign_signatures_template_files
Get Template Files Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The id of the template files to retrieve. |
file_type | string | No | — | Set to pdf for a single merged document or zip for a collection of individual documents. |
dropbox_sign_signatures_template_files_as_data_uri
Get Template Files as Data Uri Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The id of the template files to retrieve. |
dropbox_sign_signatures_template_files_as_file_url
Get Template Files as File Url Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The id of the template files to retrieve. |
force_download | integer | No | — | By default when opening the file_url a browser will download the PDF and save it locally. When set to 0 the PDF file will be displayed in the browser. |
dropbox_sign_signatures_template_get
Get Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The id of the Template to retrieve. |
dropbox_sign_signatures_template_list
List Templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | No | — | Which account to return Templates for. Must be a team member. Use all to indicate all team members. Defaults to your account. |
page | integer | No | — | Which page number of the Template List to return. Defaults to 1. |
page_size | integer | No | — | Number of objects to be returned per page. Must be between 1 and 100. Default is 20. |
query | string | No | — | String that includes search terms and/or fields to be used to filter the Template objects. |
dropbox_sign_signatures_template_remove_user
Remove User from Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The id of the Template to remove the Account’s access to. |
account_id | string | No | — | The id or email address of the Account to remove access to the Template. The account id prevails if both are provided. |
email_address | string | No | — | The id or email address of the Account to remove access to the Template. The account id prevails if both are provided. |
dropbox_sign_signatures_template_update_files
Update Template Files Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template_id | string | Yes | — | The ID of the template whose files to update. |
client_id | string | No | — | Client id of the app you’re using to update this template. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to use for the template. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to use for the template. This endpoint requires either files or file_urls[], but not both. |
message | string | No | — | The new default template email message. |
subject | string | No | — | The new default template email subject. |
test_mode | boolean | No | — | Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false. |
dropbox_sign_signatures_unclaimed_draft_create
Create Unclaimed Draft Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
attachments | object[] | No | — | A list describing the attachments |
cc_email_addresses | string[] | No | — | The email addresses that should be CCed. |
client_id | string | No | — | Client id of the app used to create the draft. Used to apply the branding and callback url defined for the app. |
custom_fields | object[] | No | — | When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests. Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call. For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template. |
expires_at | integer | No | — | When the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable. See Signature Request Expiration Date for details. NOTE: This does not correspond to the expires_at returned in the response. |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
form_field_groups | object[] | No | — | Group information for fields defined in form_fields_per_document. String-indexed JSON array with group_label and requirement keys. form_fields_per_document must contain fields referencing a group defined in form_field_groups. |
form_field_rules | object[] | No | — | Conditional Logic rules for fields defined in form_fields_per_document. |
form_fields_per_document | object[] | No | — | The fields that should appear on the document, expressed as an array of objects. (For more details you can read about it here: Using Form Fields per Document.) NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional required and optional parameters. Check out the list of additional parameters for these field types. * Text Field use SubFormFieldsPerDocumentText * Dropdown Field use SubFormFieldsPerDocumentDropdown * Hyperlink Field use SubFormFieldsPerDocumentHyperlink * Checkbox Field use SubFormFieldsPerDocumentCheckbox * Radio Field use SubFormFieldsPerDocumentRadio * Signature Field use SubFormFieldsPerDocumentSignature * Date Signed Field use SubFormFieldsPerDocumentDateSigned * Initials Field use SubFormFieldsPerDocumentInitials * Text Merge Field use SubFormFieldsPerDocumentTextMerge * Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge |
hide_text_tags | boolean | No | — | Send with a value of true if you wish to enable automatic Text Tag removal. Defaults to false. When using Text Tags it is preferred that you set this to false and hide your tags with white text or something similar because the automatic removal system can cause unwanted clipping. See the Text Tags walkthrough for more details. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
show_progress_stepper | boolean | No | — | When only one step remains in the signature request process and this parameter is set to false then the progress stepper will be hidden. |
signers | object[] | No | — | Add Signers to your Unclaimed Draft Signature Request. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
test_mode | boolean | No | — | Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false. |
type | string | Yes | — | The type of unclaimed draft to create. Use send_document to create a claimable file, and request_signature for a claimable signature request. If the type is request_signature then signers name and email_address are not optional. |
use_preexisting_fields | boolean | No | — | Set use_text_tags to true to enable Text Tags parsing in your document (defaults to disabled, or false). Alternatively, if your PDF contains pre-defined fields, enable the detection of these fields by setting the use_preexisting_fields to true (defaults to disabled, or false). Currently we only support use of either use_text_tags or use_preexisting_fields parameter, not both. |
use_text_tags | boolean | No | — | Set use_text_tags to true to enable Text Tags parsing in your document (defaults to disabled, or false). Alternatively, if your PDF contains pre-defined fields, enable the detection of these fields by setting the use_preexisting_fields to true (defaults to disabled, or false). Currently we only support use of either use_text_tags or use_preexisting_fields parameter, not both. |
dropbox_sign_signatures_unclaimed_draft_create_embedded
Create Embedded Unclaimed Draft Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_ccs | boolean | No | — | This allows the requester to specify whether the user is allowed to provide email addresses to CC when claiming the draft. |
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
allow_reassign | boolean | No | — | Allows signers to reassign their signature requests to other signers if set to true. Defaults to false. NOTE: Only available for Premium plan and higher. |
attachments | object[] | No | — | A list describing the attachments |
cc_email_addresses | string[] | No | — | The email addresses that should be CCed. |
client_id | string | Yes | — | Client id of the app used to create the draft. Used to apply the branding and callback url defined for the app. |
custom_fields | object[] | No | — | When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests. Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call. For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template. |
editor_options | object | No | — | This allows the requester to specify editor options when a preparing a document |
expires_at | integer | No | — | When the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable. See Signature Request Expiration Date for details. NOTE: This does not correspond to the expires_at returned in the response. |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to have Dropbox Sign download the file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
files | string[] | No | — | Use files[] to indicate the uploaded file(s) to send for signature. This endpoint requires either files or file_urls[], but not both. |
force_signer_page | boolean | No | — | Provide users the ability to review/edit the signers. |
force_subject_message | boolean | No | — | Provide users the ability to review/edit the subject and message. |
form_field_groups | object[] | No | — | Group information for fields defined in form_fields_per_document. String-indexed JSON array with group_label and requirement keys. form_fields_per_document must contain fields referencing a group defined in form_field_groups. |
form_field_rules | object[] | No | — | Conditional Logic rules for fields defined in form_fields_per_document. |
form_fields_per_document | object[] | No | — | The fields that should appear on the document, expressed as an array of objects. (For more details you can read about it here: Using Form Fields per Document.) NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional required and optional parameters. Check out the list of additional parameters for these field types. * Text Field use SubFormFieldsPerDocumentText * Dropdown Field use SubFormFieldsPerDocumentDropdown * Hyperlink Field use SubFormFieldsPerDocumentHyperlink * Checkbox Field use SubFormFieldsPerDocumentCheckbox * Radio Field use SubFormFieldsPerDocumentRadio * Signature Field use SubFormFieldsPerDocumentSignature * Date Signed Field use SubFormFieldsPerDocumentDateSigned * Initials Field use SubFormFieldsPerDocumentInitials * Text Merge Field use SubFormFieldsPerDocumentTextMerge * Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge |
hide_text_tags | boolean | No | — | Send with a value of true if you wish to enable automatic Text Tag removal. Defaults to false. When using Text Tags it is preferred that you set this to false and hide your tags with white text or something similar because the automatic removal system can cause unwanted clipping. See the Text Tags walkthrough for more details. |
hold_request | boolean | No | — | The request from this draft will not automatically send to signers post-claim if set to true. Requester must release the request from hold when ready to send. Defaults to false. |
is_for_embedded_signing | boolean | No | — | The request created from this draft will also be signable in embedded mode if set to true. Defaults to false. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
populate_auto_fill_fields | boolean | No | — | Controls whether auto fill fields can automatically populate a signer’s information during signing. NOTE: Keep your signer’s information safe by ensuring that the signer on your signature request is the intended party before using this feature. |
requester_email_address | string | Yes | — | The email address of the user that should be designated as the requester of this draft, if the draft type is request_signature. |
requesting_redirect_url | string | No | — | The URL you want signers redirected to after they successfully request a signature. |
show_preview | boolean | No | — | This allows the requester to enable the editor/preview experience. - show_preview=true: Allows requesters to enable the editor/preview experience. - show_preview=false: Allows requesters to disable the editor/preview experience. |
show_progress_stepper | boolean | No | — | When only one step remains in the signature request process and this parameter is set to false then the progress stepper will be hidden. |
signers | object[] | No | — | Add Signers to your Unclaimed Draft Signature Request. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
skip_me_now | boolean | No | — | Disables the “Me (Now)” option for the person preparing the document. Does not work with type send_document. Defaults to false. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
test_mode | boolean | No | — | Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false. |
type | string | No | — | The type of the draft. By default this is request_signature, but you can set it to send_document if you want to self sign a document and download it. |
use_preexisting_fields | boolean | No | — | Set use_text_tags to true to enable Text Tags parsing in your document (defaults to disabled, or false). Alternatively, if your PDF contains pre-defined fields, enable the detection of these fields by setting the use_preexisting_fields to true (defaults to disabled, or false). Currently we only support use of either use_text_tags or use_preexisting_fields parameter, not both. |
use_text_tags | boolean | No | — | Set use_text_tags to true to enable Text Tags parsing in your document (defaults to disabled, or false). Alternatively, if your PDF contains pre-defined fields, enable the detection of these fields by setting the use_preexisting_fields to true (defaults to disabled, or false). Currently we only support use of either use_text_tags or use_preexisting_fields parameter, not both. |
dropbox_sign_signatures_unclaimed_draft_create_embedded_with_template
Create Embedded Unclaimed Draft with Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_ccs | boolean | No | — | This allows the requester to specify whether the user is allowed to provide email addresses to CC when claiming the draft. |
allow_decline | boolean | No | — | Allows signers to decline to sign a document if true. Defaults to false. |
allow_reassign | boolean | No | — | Allows signers to reassign their signature requests to other signers if set to true. Defaults to false. NOTE: Only available for Premium plan and higher. |
ccs | object[] | No | — | Add CC email recipients. Required when a CC role exists for the Template. |
client_id | string | Yes | — | Client id of the app used to create the draft. Used to apply the branding and callback url defined for the app. |
custom_fields | object[] | No | — | An array defining values and options for custom fields. Required when a custom field exists in the Template. |
editor_options | object | No | — | This allows the requester to specify editor options when a preparing a document |
field_options | object | No | — | This allows the requester to specify field options for a signature request. |
file_urls | string[] | No | — | Use file_urls[] to append additional files to the signature request being created from the template. Dropbox Sign will download the file, then parse it for text tags, and append to the signature request. Text tags for signers not on the template(s) will be ignored. files or file_urls[] is required, but not both. |
files | string[] | No | — | Use files[] to append additional files to the signature request being created from the template. Dropbox Sign will parse the files for text tags and append it to the signature request. Text tags for signers not on the template(s) will be ignored. files or file_urls[] is required, but not both. |
force_signer_roles | boolean | No | — | Provide users the ability to review/edit the template signer roles. |
force_subject_message | boolean | No | — | Provide users the ability to review/edit the template subject and message. |
hold_request | boolean | No | — | The request from this draft will not automatically send to signers post-claim if set to 1. Requester must release the request from hold when ready to send. Defaults to false. |
is_for_embedded_signing | boolean | No | — | The request created from this draft will also be signable in embedded mode if set to true. Defaults to false. |
message | string | No | — | The custom message in the email that will be sent to the signers. |
metadata | object | No | — | Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request. Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long. |
populate_auto_fill_fields | boolean | No | — | Controls whether auto fill fields can automatically populate a signer’s information during signing. NOTE: Keep your signer’s information safe by ensuring that the signer on your signature request is the intended party before using this feature. |
preview_only | boolean | No | — | This allows the requester to enable the preview experience (i.e. does not allow the requester’s end user to add any additional fields via the editor). - preview_only=true: Allows requesters to enable the preview only experience. - preview_only=false: Allows requesters to disable the preview only experience. NOTE: This parameter overwrites show_preview=1 (if set). |
requester_email_address | string | Yes | — | The email address of the user that should be designated as the requester of this draft. |
requesting_redirect_url | string | No | — | The URL you want signers redirected to after they successfully request a signature. |
show_preview | boolean | No | — | This allows the requester to enable the editor/preview experience. - show_preview=true: Allows requesters to enable the editor/preview experience. - show_preview=false: Allows requesters to disable the editor/preview experience. |
show_progress_stepper | boolean | No | — | When only one step remains in the signature request process and this parameter is set to false then the progress stepper will be hidden. |
signers | object[] | No | — | Add Signers to your Templated-based Signature Request. |
signing_options | object | No | — | This allows the requester to specify the types allowed for creating a signature and specify another signing options. NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings. NOTE: If force_advanced_signature_details is set, allowed types has to be defined too. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
skip_me_now | boolean | No | — | Disables the “Me (Now)” option for the person preparing the document. Does not work with type send_document. Defaults to false. |
subject | string | No | — | The subject in the email that will be sent to the signers. |
template_ids | string[] | Yes | — | Use template_ids to create a SignatureRequest from one or more templates, in the order in which the templates will be used. |
test_mode | boolean | No | — | Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false. |
title | string | No | — | The title you want to assign to the SignatureRequest. |
dropbox_sign_signatures_unclaimed_draft_edit_and_resend
Edit and Resend Unclaimed Draft Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
signature_request_id | string | Yes | — | The ID of the signature request to edit and resend. |
client_id | string | Yes | — | Client id of the app used to create the draft. Used to apply the branding and callback url defined for the app. |
editor_options | object | No | — | This allows the requester to specify editor options when a preparing a document |
is_for_embedded_signing | boolean | No | — | The request created from this draft will also be signable in embedded mode if set to true. |
requester_email_address | string | No | — | The email address of the user that should be designated as the requester of this draft. If not set, original requester’s email address will be used. |
requesting_redirect_url | string | No | — | The URL you want signers redirected to after they successfully request a signature. |
show_progress_stepper | boolean | No | — | When only one step remains in the signature request process and this parameter is set to false then the progress stepper will be hidden. |
signing_redirect_url | string | No | — | The URL you want signers redirected to after they successfully sign. |
test_mode | boolean | No | — | Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false. |

